class Profile
{
	constructor (client)
	{
		this.client = client;
		this.username = undefined;
		this.avatar_url = undefined
	}

	async init(id)
	{
		let response = await this.client._get(`/api/profiles/${id}`);
		let response_data = await response.json();

		this.id = id;
		this.username = response_data.username;
		this.avatar_url = response_data.avatar_url;
	}

	async change_avatar(form_data)
	{
		let response = await this.client._patch_file(`/api/profiles/${this.id}`, form_data);
		let response_data = await response.json()

		return response_data;
	}

	async setData (data)
	{
		
	}
}

export {Profile}